buildr-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Alex Boisvert <alex.boisv...@gmail.com>
Subject Re: Moving to RJB 1.3.7 ?
Date Fri, 18 Nov 2011 00:07:11 GMT
Right, downloading + installing the local gem works fine.

alex

On Thu, Nov 17, 2011 at 1:40 PM, Antoine Toulme <antoine@lunar-ocean.com>wrote:

> Very odd. I had issues too, but not the same error.
>
> Please try this out:
> Download the gem directly:
> Download<http://rubygems.org/downloads/buildr-1.4.7.pre2-java.gem>
>
> Then gem install the gem.
>
> It worked for me then.
>
> Antoine
>
> On Thu, Nov 17, 2011 at 13:25, Alex Boisvert <alex.boisvert@gmail.com
> >wrote:
>
> > Still doesn't install directly on JRuby...  This is a clean "rvm install
> > jruby-1.6.5" install:
> >
> > boisvert@honeybrown:~$ rvm use jruby-1.6.5
> > Using /home/boisvert/.rvm/gems/jruby-1.6.5
> >
> > boisvert@honeybrown:~$ which gem
> > /home/boisvert/.rvm/rubies/jruby-1.6.5/bin/gem
> >
> > boisvert@honeybrown:~$ gem install buildr --pre -platform java
> > ^Cboisvert@honeybrown:~$ gem install buildr --pre --platform java
> > Building native extensions.  This could take a while...
> > ERROR:  Error installing buildr:
> > ERROR: Failed to build gem native extension.
> >
> > WTF?  It's trying to install rjb so it's not picking up the java platform
> > distribution.
> >
> > I don't think that's a buildr issue; just pointing out that we may have
> to
> > deal with install hurdles.  (BTW, I also tried with jruby-1.6.3 with same
> > result).
> >
> > alex
> >
> >
> > On Thu, Nov 17, 2011 at 1:14 PM, Antoine Toulme <antoine@lunar-ocean.com
> >wrote:
> >
> >> Done, and pushing pre2 for both MRI and Java.
> >>
> >> Please try it out, I'll work on the CI meanwhile.
> >>
> >> Thanks!
> >>
> >> Antoine
> >>
> >>
> >> On Thu, Nov 17, 2011 at 12:44, Antoine Toulme <antoine@toulme.name
> >wrote:
> >>
> >>> I think I did the wrong thing and tried to yank the prerelease, after
> >>> Dominic's reply, to push a new attempt. And it didn't work.
> >>>
> >>> I thought I could push prerelease gems.
> >>>
> >>> On second thought, maybe I could push pre2 ? I'll get to that and will
> >>> try with 2 different machines again.
> >>>
> >>> Sorry for the confusion. Doing the RJB change now.
> >>>
> >>> Thanks,
> >>>
> >>> Antoine
> >>>
> >>> On Thu, Nov 17, 2011 at 12:35, Alex Boisvert <alex.boisvert@gmail.com
> >wrote:
> >>>
> >>>> Fine with me.
> >>>>
> >>>> Separately, using rvm and jruby 1.6.5, when I "gem install buildr
> >>>> --pre" it seems to pick up the c-ruby platform distribution not the
> java
> >>>> platform distribution.   I tried explicitly passing "--platform java"
> but
> >>>> that didn't work either.   Anybody else seen this?
> >>>>
> >>>> (The package installs fine when I download and gem install
> >>>> buildr-1.4.7.pre.gem directly)
> >>>>
> >>>> alex
> >>>>
> >>>>
> >>>> On Thu, Nov 17, 2011 at 12:21 PM, Antoine Toulme <antoine@toulme.name
> >wrote:
> >>>>
> >>>>> Hi folks,
> >>>>>
> >>>>> it looks like the version of RJB we use is a bit outdated.
> >>>>>
> >>>>> It would also effectively fix issues on Mac with RVM if we moved
to
> the
> >>>>> latest version.
> >>>>>
> >>>>> What do you think ?
> >>>>>
> >>>>> Antoine
> >>>>>
> >>>>
> >>>>
> >>>
> >>
> >
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message